/**
 ****************************************************************************************************
 * @file        sys.c
 * @author      ԭŶ(ALIENTEK)
 * @version     V1.0
 * @date        2023-07-20
 * @brief       ϵͳش
 * @license     Copyright (c) 2020-2032, ӿƼ޹˾
 ****************************************************************************************************
 * @attention
 *
 * ʵƽ̨:ԭ CH32V307
 * Ƶ:www.yuanzige.com
 * ̳:www.openedv.com/forum.php
 * ˾ַ:www.alientek.com
 * ַ:zhengdianyuanzi.tmall.com
 *
 * ޸˵
 * V1.0 20230720
 * һη
 *
 ****************************************************************************************************
 */

#include "./SYSTEM/sys/sys.h"


/**
  * @brief  лŵƽ
  * @param  GPIOx:    ˿
  *         GPIO_Pin: 
  * @retval None
  */
void gpio_toggle_pin(GPIO_TypeDef *GPIOx, uint16_t GPIO_Pin)
{
  uint32_t odr;

  odr = GPIOx->OUTDR;

  GPIOx->BSHR = ((odr & GPIO_Pin) << 16U) | (~odr & GPIO_Pin);
}

/**
 * @brief       رж
 * @param       
 * @retval      
 */
void sys_intx_disable(void)
{
    __disable_irq();
}

/**
 * @brief       ж
 * @param       
 * @retval      
 */
void sys_intx_enable(void)
{
    __enable_irq();
}

/**
 * @brief       ִ: WFIָ(ִָ͹״̬, ȴжϻ)
 * @param       
 * @retval      
 */
void sys_wfi_set(void)
{
    __asm volatile("wfi");
}

