/**
 ****************************************************************************************************
 * @file        chflash.h
 * @author      ԭŶ(ALIENTEK)
 * @version     V1.0
 * @date        2023-07-20
 * @brief       CH32ڲFLASHд 
 * @license     Copyright (c) 2020-2032, ӿƼ޹˾
 ****************************************************************************************************
 * @attention
 *
 * ʵƽ̨:ԭ CH32V307
 * Ƶ:www.yuanzige.com
 * ̳:www.openedv.com
 * ˾ַ:www.alientek.com
 * ַ:openedv.taobao.com
 *
 * ޸˵
 * V1.0 20230720
 * һη
 *
 ****************************************************************************************************
 */

#ifndef __CHFLASH_H
#define __CHFLASH_H

#include "./SYSTEM/sys/sys.h"


/* FLASHʼַ&ܴС */
#define CH32_FLASH_SIZE        0x40000         /* FLASHܴС */
#define CH32_FLASH_BASE        0x08000000      /* FLASHʼַ */

 /* CH32V307ҳС */
#define CH32_SECTOR_SIZE       256             /* CH32V307һҳΪ256ֽڣǱ׼ʱҪ4KֽڲȫƬ */

/******************************************************************************************/

uint16_t chflash_read_halfword(uint32_t faddr);                                             /* FLASH */
void chflash_read(uint32_t raddr, uint16_t *pbuf, uint16_t length);                         /* ַָʼָȵ */
void chflash_write(uint32_t waddr, uint16_t *pbuf, uint16_t length);                        /* FLASH ָλ, дָȵ(Զ) */
void chflash_fast_write(uint32_t waddr, uint16_t *pbuf, uint16_t length, uint8_t erase);    /* FLASH ָλ, дָȵ */

void test_write(uint32_t waddr, uint16_t wdata);                                            /* Ժ */

#endif
